Last Comment Bug 443286 - jsemit control flow doesn't flow as specified
: jsemit control flow doesn't flow as specified
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: general
:
Mentors:
Depends on:
Blocks: 432917
  Show dependency treegraph
 
Reported: 2008-07-02 16:35 PDT by (dormant account)
Modified: 2008-09-19 14:17 PDT (History)
6 users (show)
bob: in‑testsuite-
bob: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Messy decmacroization (2.00 KB, patch)
2008-08-18 16:42 PDT, (dormant account)
no flags Details | Diff | Splinter Review
decmacroization (2.16 KB, patch)
2008-09-02 15:21 PDT, (dormant account)
igor: review+
Details | Diff | Splinter Review

Description (dormant account) 2008-07-02 16:35:11 PDT
http://mxr.mozilla.org/mozilla-central/source/js/src/jsemit.cpp#3055
CHECK_AND_SET_JUMP_OFFSET_AT contains a return statement as breaks the flow described at

http://mxr.mozilla.org/mozilla-central/source/js/src/jsemit.cpp#2988
Comment 1 (dormant account) 2008-08-18 16:02:48 PDT
TODO: dump the CFG from this function to disk to use as a benchmark
Comment 2 (dormant account) 2008-08-18 16:42:37 PDT
Created attachment 334364 [details] [diff] [review]
Messy decmacroization

Could someone review and commit this or something similar? I can't enforce the must-flow analysis until there are no more bugs in the code.
Comment 3 (dormant account) 2008-09-02 15:21:45 PDT
Created attachment 336559 [details] [diff] [review]
decmacroization

Wrapped BAD_EXIT in {}
Comment 4 (dormant account) 2008-09-05 13:54:47 PDT
pushed rev 92589edd2e3e

Note You need to log in before you can comment on or make changes to this bug.